Bug 444044 - de dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
de dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page not found
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-04-24 14:43 EDT by Nicolas Mailhot
Modified: 2014-01-21 18:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:11:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-04-24 14:43:08 EDT
$ yum search kernel-vanilla
Modules complémentaires chargés : refresh-packagekit
Exclusion des paquetages dans la liste globale d'exclusion
Finished
erreur: erreur db4(-30987) de dbcursor->c_get: DB_PAGE_NOTFOUND: Requested page
not found
=========================== Matched: kernel-vanilla ============================
kernel-vanilla.x86_64 : The Linux kernel (the core of the Linux operating
                      : system)
kernel-vanilla-debuginfo.x86_64 : Debug information for package kernel-vanilla
kernel-vanilla-debuginfo-common.x86_64 : Kernel source files used by kernel-
                                       : vanilla-debuginfo packages
kernel-vanilla-devel.x86_64 : Development package for building kernel modules to
                            : match the kernel
kernel-vanilla-headers.x86_64 : Header files for the Linux kernel for use by
                              : glibc
$ rpm -q yum 
yum-3.2.14-10.fc9.noarch
$ rpm -V yum 
S.5....T  c /etc/logrotate.d/yum
S.5....T  c /etc/yum.conf


(probably due to the system being updated at the same time)
Comment 1 Seth Vidal 2008-04-24 22:51:00 EDT
looks like access to the rpmdb was unhappy while the update was occurring. I
thought it would block on access if a write was occurring for some reason.
Comment 2 Bug Zapper 2008-05-14 06:06:15 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Panu Matilainen 2008-09-16 07:32:00 EDT
The problem here is user vs root access: in order to acquire a global read-only lock on the rpmdb, you need write access to the rpmdb environment, which a regular user does not have. So when executing without sufficient priviledges to grab a global lock, rpm runs with "private locking" (which for most practical purposes is the same as running without any locking) and yes, the privately-locking reading process can go kaboom when the database gets modified simultaneously.

The only "easy fix" would be disallowing non-priviledged access to rpmdb but somehow I don't think that's what you want either :)
Comment 4 Jeff Johnson 2008-09-16 20:35:00 EDT
root access is need iff /var/lib/rpm/* is owned by root, rather than rpm:rpm.

Run chown to other than root:root into the chroot's /var/lib/rpm, locking is instantly achieved,
with no additional loss of functionality. All that is needed is write access to create lock's,
either fcntl or posix shared mutexes, in /var/lib/rpm/__db* files.
Comment 5 Bug Zapper 2009-06-09 20:25:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:11:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.